import { IsAlphanumeric, IsNotEmpty, IsString, Length, MaxLength, MinLength } from 'class-validator';

export class RegisterUserDto {
  @IsString()
  @Length(3, 16)
  @IsAlphanumeric()
  readonly user_login: string;
  
  @IsString()
  @Length(1, 32)
  readonly user_name: string;

  @IsString()
  @IsNotEmpty()
  @Length(12, 64)
  @MinLength(12)
  @MaxLength(64)
  readonly password: string;
}