import { Module } from '@nestjs/common';
import { BooksService } from './books.service';
import { BookEntity } from './entities/book.entity';
import { BookOriginEntity } from './entities/book-origin.entity';
import { BookStatusEntity } from './entities/book-status.entity';
import { TypeOrmModule } from '@nestjs/typeorm';
import { HttpModule } from '@nestjs/axios';
import { SeriesModule } from 'src/series/series.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      BookEntity,
      BookOriginEntity,
      BookStatusEntity,
    ]),
    SeriesModule,
    HttpModule,
  ],
  controllers: [],
  exports: [
    BooksService
  ],
  providers: [BooksService]
})
export class BooksModule { }
