import { Transform } from 'class-transformer';
import { IsNotEmpty, IsNumber, IsString, IsUUID } from 'class-validator';
import { UUID } from 'crypto';
import { BookOriginType } from 'src/shared/enums/book_origin_type';

export class CreateBookOriginDto {
  @IsUUID()
  @IsNotEmpty()
  readonly bookId: UUID;

  @IsNumber()
  @IsNotEmpty()
  @Transform(({ value }) => value as BookOriginType)
  type: BookOriginType;

  @IsString()
  @IsNotEmpty()
  value: string;
}