export abstract class SearchContext {
  provider: string;
  search: string;
  params: { [key: string]: string };

  constructor(provider: string, search: string, params: { [key: string]: string }) {
    this.provider = provider;
    this.search = search;
    this.params = params;
  }

  abstract generateQueryParams(): string;
  abstract previous(pageCount: number): SearchContext;
  abstract next(pageCount: number): SearchContext;
}