import { GoogleSearchContext } from "./google.search.context";
import { SearchContext } from "./search.context";

export class SimplifiedSearchContext {
  values: { [key: string]: string };

  constructor(values: { [key: string]: string }) {
    this.values = values;
  }

  toSearchContext(): SearchContext | null {
    const provider = this.values['provider']?.toString().toLowerCase();
    const search = this.values['search']?.toString();
    const valuesCopy = { ...this.values };
    delete valuesCopy['provider'];
    delete valuesCopy['search'];

    if (provider == 'google') {
      return new GoogleSearchContext(search, valuesCopy)
    }
    return null;
  }
}