import { Transform } from "class-transformer";
import { IsAlpha, IsIn, IsNotEmpty, IsString, Length } from "class-validator";

export class BookSearchInputDto {
  @IsString()
  @IsNotEmpty()
  @IsAlpha()
  @IsIn(['google'])
  @Transform(({ value }) => value.toLowerCase())
  provider!: string;

  @IsString()
  @IsNotEmpty()
  @Length(1, 64)
  query!: string;
}