import { Controller, Get, Query, UseGuards } from '@nestjs/common';
import { ProvidersService } from './providers.service';
import { JwtAccessGuard } from 'src/auth/guards/jwt-access.guard';
import { SimplifiedSearchContext } from './contexts/simplified-search-context';

@Controller('providers')
export class ProvidersController {
  constructor(
    private providers: ProvidersService,
  ) { }

  @UseGuards(JwtAccessGuard)
  @Get('search')
  async Search(
    @Query() context,
  ) {
    const simplified = new SimplifiedSearchContext(context);
    const searchContext = simplified.toSearchContext();
    return await this.providers.search(searchContext);
  }
}
