import { UUID } from 'crypto';
import { Column, Entity, JoinColumn, OneToOne, PrimaryColumn, Unique } from 'typeorm';
import { SeriesEntity } from './series.entity';

@Entity("series_subscriptions")
export class SeriesSubscriptionEntity {
  @PrimaryColumn({ name: 'user_id', type: 'uuid' })
  readonly userId: UUID;

  @PrimaryColumn({ name: 'provider_series_id', type: 'text' })
  providerSeriesId: string;

  @PrimaryColumn({ name: 'provider', type: 'text' })
  provider: string;

  @Column({ name: 'added_at', type: 'timestamptz', nullable: false })
  addedAt: Date;

  @OneToOne(type => SeriesEntity, series => series.subscriptions)
  @JoinColumn([{
    name: 'provider_series_id',
    referencedColumnName: 'providerSeriesId',
  },
  {
    name: 'provider',
    referencedColumnName: 'provider',
  }])
  series: SeriesSubscriptionEntity[];
}