import { Module } from '@nestjs/common';
import { SeriesService } from './series.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { SeriesEntity } from './entities/series.entity';
import { HttpModule } from '@nestjs/axios';
import { ProvidersModule } from 'src/providers/providers.module';
import { SeriesSubscriptionEntity } from './entities/series-subscription.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      SeriesEntity,
      SeriesSubscriptionEntity,
    ]),
    HttpModule,
    ProvidersModule,
  ],
  controllers: [],
  exports: [
    SeriesService,
  ],
  providers: [SeriesService]
})
export class SeriesModule { }
