import { Module } from '@nestjs/common';
import { UsersService } from './users.service';
import { UserEntity } from './entities/users.entity';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UsersController } from './users.controller';
import { ConfigModule } from '@nestjs/config';

@Module({
  imports: [
    TypeOrmModule.forFeature([UserEntity]),
    ConfigModule,
  ],
  exports: [
    UsersService,
  ],
  providers: [
    UserEntity,
    UsersService,
  ],
  controllers: [UsersController],
})
export class UsersModule {}
