import { Component, inject, OnInit } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import { BookSearchResultDto } from '../../shared/dto/book-search-result.dto';
import { HttpClient } from '@angular/common/http';

@Component({
  selector: 'app-media-item-modal',
  standalone: true,
  imports: [],
  templateUrl: './media-item-modal.component.html',
  styleUrl: './media-item-modal.component.css'
})
export class MediaItemModalComponent implements OnInit {
  private readonly _http = inject(HttpClient);

  readonly data = inject<BookSearchResultDto>(MAT_DIALOG_DATA);
  readonly dialogRef = inject(MatDialogRef<MediaItemModalComponent>);

  isSeries: boolean = false;

  ngOnInit(): void {
    this.isSeries = this.data.providerSeriesId != null;
  }


  subscribe() {
    console.log('data for subscribe:', this.data);
    if (this.isSeries) {
      this._http.post('/api/library/series', this.data)
        .subscribe({
          next: response => {
            console.log('subscribe series:', response);
          },
          error: err => console.log('error on subscribing series:', err)
        });
    } else {
      this._http.post('/api/library/books', this.data)
        .subscribe({
          next: response => {
            console.log('save book:', response);
          },
          error: err => console.log('error on saving book:', err)
        });
    }
  }
}
